# Generated automatically from Makefile.in by configure.
# $Id: Makefile,v 1.1.1.1 2000/03/10 16:32:16 engin Exp $

GOAL   = libutil.a

OBJS   = debug.o  trace.o  Argv.o  net.o  \
	 buffer.o  version.o 
SRCS   = debug.cc trace.cc Argv.cc net.cc \
	 buffer.cc version.cc
HFILES = debug.hh trace.hh Argv.hh net.hh \
	 buffer.hh version.hh Error.hh

LIBS   =

# directories
srcdir		= .
top_srcdir	= ../..
INCDIRS		= -I$(srcdir) -I. -I$(top_srcdir)/src -I.. -I$(top_srcdir)/src/Core -I$(top_srcdir)/src/rpsl 

# programs

SHELL           = /bin/sh
RANLIB          = ranlib
CC              = gcc
CXX             = c++
BISON           = bison -y
FLEX            = flex
LD              = c++
PERL            = @PERL_PATH@
INSTALL         = ../.././install-sh -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA    = ${INSTALL} -m 644

# The default location for installation.
prefix      = /usr/local
exec_prefix = ${prefix}
bindir      = ${exec_prefix}/bin
mandir      = ${prefix}/man
man1dir     = $(mandir)/man1
man8dir     = $(mandir)/man8

DEFINES  = -DHAVE_CONFIG_H
CFLAGS   = -O3 -gstabs+
CPPFLAGS = 
LDFLAGS  = 
CXXFLAGS = -O3 -gstabs+ -frtti

default: all

# Implicit rules
.y.o:

.c.o:
	$(CC)  -c $(CPPFLAGS) $(CFLAGS) $(DEFINES) $(INCDIRS) $<

.cc.o:
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) $(DEFINES) $(INCDIRS) $<

.SUFFIXES: .cc

#
# No need to make changes below
#
all: $(GOAL)

$(GOAL): $(OBJS)
	ar ruv $(GOAL) $?
	$(RANLIB) $(GOAL)

clean:
	rm -f core *.o *~ $(GOAL)

mostlyclean:
	rm -f core *.o *~

# make dependencies
depend:	${SRCS}
	$(CXX) -MM $(CPPFLAGS) $(CXXFLAGS) $(DEFINES) $(INCDIRS) $^ >makedep
	echo '/^# DO NOT DELETE THIS LINE/+1,$$d' >eddep
	echo '$$r makedep' >>eddep
	echo 'w' >>eddep
	cp Makefile Makefile.bak
	ed - Makefile < eddep
	rm eddep makedep
	echo '# DEPENDENCIES MUST END AT END OF FILE' >> Makefile
	echo '# IF YOU PUT STUFF HERE IT WILL GO AWAY' >> Makefile
	echo '# see make depend above' >> Makefile

# DO NOT DELETE THIS LINE
debug.o: debug.cc ../../src/config.h
trace.o: trace.cc ../../src/config.h trace.hh
Argv.o: Argv.cc ../../src/config.h Argv.hh version.hh
net.o: net.cc net.hh ../../src/config.h Error.hh
buffer.o: buffer.cc buffer.hh
version.o: version.cc
# DEPENDENCIES MUST END AT END OF FILE
# IF YOU PUT STUFF HERE IT WILL GO AWAY
# see make depend above
